<?php

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2018 Andreas Petermann
 *
 * PHP version 5.6+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 * @package css_advertGroup
 * @version 1.02
 *         
 */

namespace css_advertGroup;


if(defined("FILENAME_KUNDENZIP") || defined("JTLCRON") || defined("AM_EINSTELLUNGEN") || $oPlugin->nStatus!=2) return;

require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.'.$oPlugin->cPluginID.'.php';
$cssPlugin = css_advertGroup::getInstance($oPlugin);

if(file_exists($oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php')){
 	require_once $oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php';
}


	$hash = $cssPlugin->checkIfKampagne();
	if(!($aData = $cssPlugin->getHashes($hash))) {
		return;
	}
switch($oPlugin->nCalledHook) {
	
	case HOOK_LETZTERINCLUDE_INC:
		$cssPlugin->cleanHashes();
	case HOOK_BESTELLABSCHLUSS_PAGE:
				$cssPlugin->checkBasket($aData);
		break;
		
	case HOOK_TOOLSGLOBAL_INC_SWITCH_BAUEURL:
			if($args_arr['art']!=12) return;
			if(\Shop::has($oPlugin->cPluginID."_checkedKampagne") ) {
				return;
			}
	case HOOK_IO_HANDLE_REQUEST:
	case HOOK_BESTELLVORGANG_PAGE_STEPZAHLUNG:
	case HOOK_TOOLSGLOBAL_INC_BERECHNEVERSANDPREIS:

		\Shop::set($oPlugin->cPluginID."_checkedKampagne",true);
		$cssPlugin->checkBasket($aData);
		
		break;
		
	case HOOK_ARTIKEL_CLASS_FUELLEARTIKEL:
		$cssPlugin->insertInBasket($aData, $args_arr);
		break;
}


